package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc耗材信息对象 cmc_material
 * 
 * @author cmc
 * @date 2024-07-31
 */
public class CmcMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 耗材id */
    private Integer materialId;

    /** 耗材名称 */
    @Excel(name = "耗材名称")
    private String name;

    /** 耗材类别 */
    @Excel(name = "耗材类别")
    private String type;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String series;

    /** 耗材品牌 */
    @Excel(name = "耗材品牌")
    private String brand;

    /** 存放地点 */
    @Excel(name = "存放地点")
    private String place;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Double remain;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    public void setMaterialId(Integer materialId) 
    {
        this.materialId = materialId;
    }

    public Integer getMaterialId() 
    {
        return materialId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSeries(String series) 
    {
        this.series = series;
    }

    public String getSeries() 
    {
        return series;
    }
    public void setBrand(String brand) 
    {
        this.brand = brand;
    }

    public String getBrand() 
    {
        return brand;
    }
    public void setPlace(String place) 
    {
        this.place = place;
    }

    public String getPlace() 
    {
        return place;
    }
    public void setRemain(Double remain) 
    {
        this.remain = remain;
    }

    public Double getRemain() 
    {
        return remain;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("name", getName())
            .append("type", getType())
            .append("series", getSeries())
            .append("brand", getBrand())
            .append("place", getPlace())
            .append("remain", getRemain())
            .append("unit", getUnit())
            .append("remark", getRemark())
            .toString();
    }
}
